glibmm: Glib::Variant< bool > Class Template Reference

glibmm 2.33.14

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Variant< bool > Class Template Reference
Variant Data Types

Specialization of Glib::Variant containing a bool type. More...

`#include <glibmm/variant_basictypes.h>`

Inheritance diagram for Glib::Variant< bool >:
[legend]

## Public Types
typedef gboolean | CType

## Public Member Functions
| Variant ()
| Default constructor.
| Variant (GVariant* castitem, bool take_a_reference=false)
| GVariant constructor.
bool | get () const
| Gets the value of the Glib::Variant<bool>.
Public Member Functions inherited from Glib::VariantBase
| VariantBase ()
| VariantBase (GVariant* castitem, bool make_a_copy=false)
| VariantBase (const VariantBase& src)
VariantBase& | operator= (const VariantBase& src)
| ~VariantBase ()
GVariant* | gobj ()
const GVariant* | gobj () const
GVariant* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
void | init (const GVariant* cobject, bool take_a_reference=false)
| Replace the underlying GVariant.
VariantType | get_type () const
| Determines the type of value.
std::string | get_type_string () const
| Returns the type string of value.
bool | is_floating () const
| Checks whether value has a floating reference count.
bool | is_of_type (const VariantType& type) const
| Checks if a value has a type matching the provided type.
bool | is_container () const
| Checks if value is a container.
GVariantClass | classify () const
| Classifies value according to its top-level type.
gsize | get_size () const
| Determines the number of bytes that would be required to store value with g_variant_store().
gconstpointer | get_data ()
| Returns a pointer to the serialised form of a Variant instance.
void | store (gpointer data) const
| Stores the serialised form of value at data.
Glib::ustring | print (bool type_annotate=false) const
| Pretty-prints value in the format understood by g_variant_parse().
guint | hash () const
| Generates a hash value for a Variant instance.
bool | equal (const VariantBase& other) const
| Checks if one and two have the same type and value.
void | get_normal_form (VariantBase& result) const
| Gets a VariantBase instance that has the same value as this variant and is trusted to be in normal form.
bool | is_normal_form () const
| Checks if value is in normal form.
void | byteswap (VariantBase& result) const
| Performs a byteswapping operation on the contents of this variant.

## Static Public Member Functions
static const VariantType& | variant_type ()
| Gets the Glib::VariantType.
static Variant< bool > | create (bool data)
| Creates a new Glib::Variant<bool>.
Static Public Member Functions inherited from Glib::VariantBase
template<class V_CastTo >
static V_CastTo | cast_dynamic (const VariantBase& v) throw (std::bad_cast)
| Cast to a specific variant type.

## Additional Inherited Members
Protected Attributes inherited from Glib::VariantBase
GVariant* | gobject_
Related Functions inherited from Glib::VariantBase
Glib::VariantBase | wrap (GVariant* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

### template<>
class Glib::Variant< bool >

Specialization of Glib::Variant containing a bool type.

Since glibmm 2.26:

## Member Typedef Documentation

typedef gboolean Glib::Variant< bool >::CType

## Constructor & Destructor Documentation

Glib::Variant< bool >::Variant | ( |  | ) |
| inline

Default constructor.

Glib::Variant< bool >::Variant | ( | GVariant< bool > * | castitem,
|  | bool | take_a_reference = `false`
| ) |  |
| inlineexplicit

GVariant constructor.

Parameters

  castitem | The GVariant to wrap.

## Member Function Documentation

static Variant<bool> Glib::Variant< bool >::create | ( | bool | data | ) |
| static

Creates a new Glib::Variant<bool>.

Parameters

  data | The value of the new Glib::Variant<bool>.

Returns
  The new Glib::Variant<bool>.

bool Glib::Variant< bool >::get | ( |  | ) | const

Gets the value of the Glib::Variant<bool>.

Returns
  The bool value of the Glib::Variant<bool>.

static const VariantType& Glib::Variant< bool >::variant_type | ( |  | ) |
| static

Gets the Glib::VariantType.

Returns
  The Glib::VariantType.